GET /api/getbanhistory

Returns ban history for a player by ID or gamertag.

Authentication

This endpoint requires HTTP Basic Auth using your PubgClans login credentials.

Parameters

Example

GET /api/getbanhistory?player=account.xxxxx
GET /api/getbanhistory?players=account.a,account.b,account.c
GET /api/getbanhistory?player=SomeName
GET /api/getbanhistory?players=Name1,Name2&platform=psn

cURL

curl -u "USERNAME:PASSWORD" "https://www.pubgclans.net/api/getbanhistory?player=account.xxxxx"
curl -u "USERNAME:PASSWORD" "https://www.pubgclans.net/api/getbanhistory?players=account.a,account.b,account.c"
curl -u "USERNAME:PASSWORD" "https://www.pubgclans.net/api/getbanhistory?player=SomeName"
curl -u "USERNAME:PASSWORD" "https://www.pubgclans.net/api/getbanhistory?players=Name1,Name2&platform=psn"
Test it (single player)
No request yet.
Test it (multiple players)
No request yet.

Response

Single player response (playerId or single gamertag):

{
  "player": {
    "player_id": "account.xxxxx",
    "player_name": "SomeName",
    "platform": "xbox",
    "ban_type": "TemporaryBan",
    "banned_days": 3
  }
}

Multiple player response (playerIds or gamertags):

{
  "players": [
    {
      "player_id": "account.xxxxx",
      "player_name": "SomeName",
      "platform": "xbox",
      "ban_type": "TemporaryBan",
      "banned_days": 3
    },
    {
      "player_id": "account.yyyyy",
      "player_name": "OtherName",
      "platform": "psn",
      "ban_type": "Innocent",
      "banned_days": 0
    }
  ]
}